
Redmine - Defect #6422

timetracking: subtasks time is not added to the main task

2010-09-17 11:47 - Sergei Danilov

Status: Closed Start date: 2010-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.1

Description

I logged to demo.redmine.org and created 3 tasks in my "Dany Project" project:

1) feature1 - no estimate - target version 1

subtasks for feature1:

2) subtask1 - estimate 1 hours - NO target version (compare with #5265)

3) subtask2 - estimate 1 hours - NO target version (compare with #5265)

I see total estimated time for feature1 is 2 hours.

But in the roadmap estimated time is 0 hours.

Related issues:

Related to Redmine - Defect #5265: timetracking: subtasks time is added to th... Closed 2010-04-07

Related to Redmine - Feature #9991: Estate parent task vs subtask Closed

Has duplicate Redmine - Defect #7515: Roadmap Version Time Tracking Error Closed 2011-02-01

History

#1 - 2010-10-02 01:05 - Mischa The Evil

- Category changed from Time tracking to Roadmap

#2 - 2011-04-18 11:51 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2011-04-18 11:57 - Anton Nepomnyaschih

+1 :)

It would be cool, if estimated time for version calculated as sum of all tickets that are assigned to the version. But without duplicated time (if some

subtasks where summed to a parent task). In such case it worked in all 3 ways:

if version would be assigned to all parent tasks and their subtasks

if version would be assigned to only parent tasks, without their subtasks

if version would be assigned to only subtasks, without their parent tasks ;)

#4 - 2012-03-07 18:02 - Maarten Klerk

+ 1 really need to have the total estimates of a version summed correctly. We want to learn what the compliancy of the teams estimates vs. spent

time, so we can measure team velocity of Scrum team.

#5 - 2012-06-06 13:44 - Radek Karban

+1

#6 - 2014-03-06 10:59 - Luis Serrano Aranda

+1

#7 - 2014-12-03 07:43 - Florian Gruber

+1

#8 - 2014-12-03 07:48 - Andreas  Schröcker
+1

#9 - 2016-12-16 13:38 - Diogo Soares

How to fix? Same error in version 3.2.1.stable

#10 - 2017-04-20 10:13 - Kishan Patel

+1

#11 - 2017-04-20 14:28 - Holger Just

The roadmap only shows estimates and spent time for issues which are assigned to a certain version. Just because a parent issue is assigned to a

version does not mean that all its child issues are also implicitly assigned to the same version.

In the issues details page, you nowadays have two value for both estimated and spent time:

The time set on the individual issue only

The time of the issue plus all its sub-issues (the total time)

Now the roadmap only considers the individual time of all the issues explicitly assigned to the version. If you want your sub-issues to also be part of

the version, just add them there. Then everything should work as designed (and fixed in #5265).

#12 - 2017-05-19 13:46 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)
